Load Auth

Sends the request to preload in case of a refund request or a request to load a card


REQUEST

PATH PARAMETERS

ParameterType & ConstraintsDescription
terminalIDstring · 10 chars · requiredOur partner issued terminal ID of the terminal requesting the transaction
referencestring · 1–255 chars · requiredThe reference of the wallet to load
requestAmountinteger · requiredThe amount to be loaded in cents
narrativestring · 1–255 chars · requiredA description of the terminal where the card was used
transactionTypestring · 2 chars · required2 character string identifying the type of transaction:
  • 20 = Refund
  • 26 = OCT (Visa)
  • 28 = MoneySend
transactionDatastring · 0–2048 chars · requiredExtra information about the transaction in KLV format
transactionIDstring · 1–255 chars · required

Transaction ID number generated by the calling client.

Note: The transactionID is not a unique value and may be duplicated over time. The value of the transactionID is not expected or guaranteed to tie up to an original deduct message.

transactionDatedate · requiredTransaction date generated by the calling client
checksumstring · requiredHMAC-SHA256 hashed signature of the concatenated method name with all argument values using the terminal password as private key

XML Request Example

<?xml version="1.0"?>
<methodCall>
  <methodName>LoadAuth</methodName>
  <params>
    <param><value><string>0014682067</string></value></param>
    <param><value><string>IMPLTest</string></value></param>
    <param><value><int>10000</int></value></param>
    <param><value><string>Tutuka Test Pretoria ZAF</string></value></param>
    <param><value><string>20</string></value></param>
    <param>
      <value>
        <string>
002151375691000000230041200000001000002604601103712164514763140041000420512345048000490384008500250033DS25110MasterCard2520102530447792540025500
        </string>
      </value>
    </param>
    <param><value><string>192316</string></value></param>
    <param><value><dateTime.iso8601>20200709T06:45:40</dateTime.iso8601></value></param>
    <param><value><string>47D4F5C6E263FA295D492A925DF607773D3F1B9B</string></value></param>
  </params>
</methodCall>

RESPONSE

STATUS 200 OK

SCHEMA


FieldTypeDescription
resultCodeintegerStatus code indicating transaction result

<?xml version="1.0"?>
<methodResponse>
  <params>
    <param>
      <value>
        <struct>
          <member>
            <name>resultCode</name>
            <value><int>1</int></value>
          </member>
        </struct>
      </value>
    </param>
  </params>
</methodResponse>